Vertical Stitch

Stitch multiple images together vertically in sequence. You can optionally display each file name as a label on the image.

Create Task

Basic Information

ItemValue
Request MethodPOST
Request Path/task/image_vertical_stitch
Content-Typeapplication/json
AuthenticationRaw API key in the Authorization header

Request Body

ParameterTypeRequiredDefaultDescription
file_idsarrayYes-Image file IDs to stitch from top to bottom
show_filenamebooleanNofalseWhether to display the file name on each stitched image section

Request Example

curl -X POST https://api.ai-mcn.tv:10000/task/image_vertical_stitch \
  -H "Authorization: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "file_ids": ["537489015178246", "537489015178247", "537489015178248"],
    "show_filename": false
  }'

Success Example

{
  "code": 200,
  "msg": "success",
  "data": {
    "task_id": "537489015178249",
    "task_type": "image_vertical_stitch",
    "status": "queued"
  }
}

Query Task Result

Basic Information

ItemValue
Request MethodGET
Request Path/task/image_vertical_stitch/{task_id}
AuthenticationRaw API key in the Authorization header

Output Result (output_result)

ParameterTypeDescription
file_idstringGenerated stitched image file ID
download_urlstringDownload path for the generated image

Success Example

{
  "code": 200,
  "msg": "success",
  "data": {
    "task_id": "537489015178249",
    "status": "completed",
    "progress": 100,
    "output_result": {
      "file_id": "537489015178250",
      "download_url": "/download/a1/output.jpg"
    },
    "create_time": "2026-04-05T08:00:00Z",
    "update_time": "2026-04-05T08:00:05Z"
  }
}

Error Codes

Error CodeHTTP StatusDescriptionResolution
6013400Missing file_idsPass the file_ids field
6004404File not foundVerify each value in file_ids
6502401Authentication failedCheck the Authorization header
6202402Insufficient balanceRecharge in the Dashboard